Function
bandedChainAlignment
Calculates a banded alignment around a chain of seeds.
bandedChainAlignment(seedChain, k, alignment, scoreMatrix);
Include Headers
seqan/seeds.h
Parameters

seedChain | A chain of seeds.
k | Half of the width of the band.
alignment | The alignment where the result is stored. Types: Align
scoreMatrix | The score matrix. Types: Simple Score Remarks: Depending on the score matrix the Needleman-Wunsch or the Gotoh algorithm is used. For a description of the algorithm see the masters thesis of C. Kemena, Section 5.3.3 LAGAN Alignment.

Return Values
The score of the alignment.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46